%global srcname texext

Name:           python-%{srcname}
Version:        0.6.1
Release:        1%{?dist}
Summary:        Sphinx extensions for working with LaTeX math

License:        BSD
URL:            https://github.com/matthew-brett/%{srcname}
Source0:        https://github.com/matthew-brett/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2dist(matplotlib)
BuildRequires:  python2dist(pytest)
BuildRequires:  python2dist(six)
BuildRequires:  python2dist(sphinx)
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(sphinxtesters)
BuildRequires:  python2dist(sympy)

BuildRequires:  python3-devel
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinxtesters)
BuildRequires:  python3dist(sympy)

%description
This package contains Sphinx extensions for working with LaTeX math.

%package -n     python2-%{srcname}
Summary:        Sphinx extensions for working with LaTeX math
Requires:       python2dist(six)
Requires:       python2dist(sphinx)

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This package contains Sphinx extensions for working with LaTeX math.

%package -n     python3-%{srcname}
Summary:        Sphinx extensions for working with LaTeX math
Requires:       python3dist(six)
Requires:       python3dist(sphinx)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package contains Sphinx extensions for working with LaTeX math.

%prep
%setup -q -n %{srcname}-%{version}

%build
# Python 2 build
%py2_build

# Python 3 build
%py3_build

%install
# Python 2 install
%py2_install

# Python 3 install
%py3_install

%check
# Test the python 2 build
pytest-%{python2_version}

# Test the python 3 build
pytest-%{python3_version}

%files -n python2-%{srcname}
%doc Changelog README.rst
%license LICENSE
%{python2_sitelib}/%{srcname}*

%files -n python3-%{srcname}
%doc Changelog README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}*

%changelog
* Mon Sep  3 2018 Jerry James <loganjerry@gmail.com> - 0.6.1-1
- Initial RPM
